Update Service Record DetailsCopy Pagepatch https://{account}.sysaidit.com/connect/v1/service-records/{recordId}Update the details of an existing service record using its unique SysAid ID.Path ParamsrecordIdintegerrequiredThe service record's unique SysAid ID.Body ParamsA list of service request's properties to updatechangeCategoryinteger | nullThe classification or severity level id of the service record (relevant only for service requests of Change type and depends on the account).descriptionstring | nullA detailed description of the service record.dueDatedate-time | nullThe date by which the service record is expected to be resolved.impactinteger | nullThe impact level of the service record, indicating its effect on operations.assetIdstring | nullThe primary asset id associated with the service record.ciIdinteger | nullThe main configuration item (CI) id related to the service record.priorityinteger | nullThe priority id level of the service record.statusinteger | nullThe current status id of the service record (e.g., Open, Closed, Pending). Depends on an account.titlestringThe title or subject of the service record.urgencyinteger | nullThe urgency level of the service record, indicating how quickly it should be addressed.weightinteger | nullA numerical value that may indicate the relative importance or complexity of the service record.srSubTypeinteger | nullService record subtype.locationinteger | nullUnique id of the location associated with the service record.custInt1integer | nullCustom value 1.custInt2integer | nullCustom value 1.custDate1date-time | nullCustom date 1.custDate2date-time | nullCustom date 1.custNotesstring | nullCustom notes.custText1string | nullCustom text 1.custText2string | nullCustom text 2.custList1integer | nullCustom list 1 integer identifier.custList2integer | nullCustom list 1 integer identifier.parentLinkinteger | nullworkaroundstring | nulltaskIdinteger | nullprojectIdinteger | nullversioninteger | nullsuccessRatinginteger | nullfollowupTextstring | nullfollowupActualDatedate-time | nullfollowupPlannedDatedate-time | nullccstring | nullprimaryCategoryintegernullFirst level service record category id.secondaryCategoryintegernullSecond level service record category id.thirdLevelCategoryintegernullThird level service record category id.assignedGroupstringnullName of the administrative group responsible for managing the service record.assigneestringnullUsername of the user to whom the service record is assigned.requestUserstringnullUsername of the user who originally requested the service record.followupUserstringnullUsername of the user who follows up the service record's changes.responsibleManagerstringnullAdmin username who manages the service record.customColumnsFieldsobjectcustomColumnsFields objectResponses 200Service record is successfully updated 400The request was invalid or cannot be served 401Authentication information is missing or invalid 404The specified resource was not found 409The request could not be completed due to a conflict with the current state of the resource. This typically occurs when attempting to create a duplicate resource, update a resource that has been modified by another process, or when business rules prevent the operation.Updated 10 months ago